diff --git a/localedata/charmaps/UTF-8 b/localedata/charmaps/UTF-8
index f9fad11..55e5548 100644
--- a/localedata/charmaps/UTF-8
+++ b/localedata/charmaps/UTF-8
@@ -13953,6 +14275,20 @@ CHARMAP
 <UA78E>     /xea/x9e/x8e LATIN SMALL LETTER L WITH RETROFLEX HOOK AND BELT
 <UA790>     /xea/x9e/x90 LATIN CAPITAL LETTER N WITH DESCENDER
 <UA791>     /xea/x9e/x91 LATIN SMALL LETTER N WITH DESCENDER
+<UA792>     /xea/x9e/x92 LATIN CAPITAL LETTER C WITH BAR
+<UA793>     /xea/x9e/x93 LATIN SMALL LETTER C WITH BAR
+<UA794>     /xea/x9e/x94 LATIN SMALL LETTER C WITH PALATAL HOOK
+<UA795>     /xea/x9e/x95 LATIN SMALL LETTER H WITH PALATAL HOOK
+<UA796>     /xea/x9e/x96 LATIN CAPITAL LETTER B WITH FLOURISH
+<UA797>     /xea/x9e/x97 LATIN SMALL LETTER B WITH FLOURISH
+<UA798>     /xea/x9e/x98 LATIN CAPITAL LETTER F WITH STROKE
+<UA799>     /xea/x9e/x99 LATIN SMALL LETTER F WITH STROKE
+<UA79A>     /xea/x9e/x9a LATIN CAPITAL LETTER VOLAPUK AE
+<UA79B>     /xea/x9e/x9b LATIN SMALL LETTER VOLAPUK AE
+<UA79C>     /xea/x9e/x9c LATIN CAPITAL LETTER VOLAPUK OE
+<UA79D>     /xea/x9e/x9d LATIN SMALL LETTER VOLAPUK OE
+<UA79E>     /xea/x9e/x9e LATIN CAPITAL LETTER VOLAPUK UE
+<UA79F>     /xea/x9e/x9f LATIN SMALL LETTER VOLAPUK UE
 <UA7A0>     /xea/x9e/xa0 LATIN CAPITAL LETTER G WITH OBLIQUE STROKE
 <UA7A1>     /xea/x9e/xa1 LATIN SMALL LETTER G WITH OBLIQUE STROKE
 <UA7A2>     /xea/x9e/xa2 LATIN CAPITAL LETTER K WITH OBLIQUE STROKE
@@ -13963,6 +14299,15 @@ CHARMAP
 <UA7A7>     /xea/x9e/xa7 LATIN SMALL LETTER R WITH OBLIQUE STROKE
 <UA7A8>     /xea/x9e/xa8 LATIN CAPITAL LETTER S WITH OBLIQUE STROKE
 <UA7A9>     /xea/x9e/xa9 LATIN SMALL LETTER S WITH OBLIQUE STROKE
+<UA7AA>     /xea/x9e/xaa LATIN CAPITAL LETTER H WITH HOOK
+<UA7AB>     /xea/x9e/xab LATIN CAPITAL LETTER REVERSED OPEN E
+<UA7AC>     /xea/x9e/xac LATIN CAPITAL LETTER SCRIPT G
+<UA7AD>     /xea/x9e/xad LATIN CAPITAL LETTER L WITH BELT
+<UA7B0>     /xea/x9e/xb0 LATIN CAPITAL LETTER TURNED K
+<UA7B1>     /xea/x9e/xb1 LATIN CAPITAL LETTER TURNED T
+<UA7F7>     /xea/x9f/xb7 LATIN EPIGRAPHIC LETTER SIDEWAYS I
+<UA7F8>     /xea/x9f/xb8 MODIFIER LETTER CAPITAL H WITH STROKE
+<UA7F9>     /xea/x9f/xb9 MODIFIER LETTER SMALL LIGATURE OE
 <UA7FA>     /xea/x9f/xba LATIN LETTER SMALL CAPITAL TURNED M
 <UA7FB>     /xea/x9f/xbb LATIN EPIGRAPHIC LETTER REVERSED F
 <UA7FC>     /xea/x9f/xbc LATIN EPIGRAPHIC LETTER REVERSED P
@@ -14393,6 +14738,37 @@ CHARMAP
 <UA9D9>     /xea/xa7/x99 JAVANESE DIGIT NINE
 <UA9DE>     /xea/xa7/x9e JAVANESE PADA TIRTA TUMETES
 <UA9DF>     /xea/xa7/x9f JAVANESE PADA ISEN-ISEN
+<UA9E0>     /xea/xa7/xa0 MYANMAR LETTER SHAN GHA
+<UA9E1>     /xea/xa7/xa1 MYANMAR LETTER SHAN CHA
+<UA9E2>     /xea/xa7/xa2 MYANMAR LETTER SHAN JHA
+<UA9E3>     /xea/xa7/xa3 MYANMAR LETTER SHAN NNA
+<UA9E4>     /xea/xa7/xa4 MYANMAR LETTER SHAN BHA
+<UA9E5>     /xea/xa7/xa5 MYANMAR SIGN SHAN SAW
+<UA9E6>     /xea/xa7/xa6 MYANMAR MODIFIER LETTER SHAN REDUPLICATION
+<UA9E7>     /xea/xa7/xa7 MYANMAR LETTER TAI LAING NYA
+<UA9E8>     /xea/xa7/xa8 MYANMAR LETTER TAI LAING FA
+<UA9E9>     /xea/xa7/xa9 MYANMAR LETTER TAI LAING GA
+<UA9EA>     /xea/xa7/xaa MYANMAR LETTER TAI LAING GHA
+<UA9EB>     /xea/xa7/xab MYANMAR LETTER TAI LAING JA
+<UA9EC>     /xea/xa7/xac MYANMAR LETTER TAI LAING JHA
+<UA9ED>     /xea/xa7/xad MYANMAR LETTER TAI LAING DDA
+<UA9EE>     /xea/xa7/xae MYANMAR LETTER TAI LAING DDHA
+<UA9EF>     /xea/xa7/xaf MYANMAR LETTER TAI LAING NNA
+<UA9F0>     /xea/xa7/xb0 MYANMAR TAI LAING DIGIT ZERO
+<UA9F1>     /xea/xa7/xb1 MYANMAR TAI LAING DIGIT ONE
+<UA9F2>     /xea/xa7/xb2 MYANMAR TAI LAING DIGIT TWO
+<UA9F3>     /xea/xa7/xb3 MYANMAR TAI LAING DIGIT THREE
+<UA9F4>     /xea/xa7/xb4 MYANMAR TAI LAING DIGIT FOUR
+<UA9F5>     /xea/xa7/xb5 MYANMAR TAI LAING DIGIT FIVE
+<UA9F6>     /xea/xa7/xb6 MYANMAR TAI LAING DIGIT SIX
+<UA9F7>     /xea/xa7/xb7 MYANMAR TAI LAING DIGIT SEVEN
+<UA9F8>     /xea/xa7/xb8 MYANMAR TAI LAING DIGIT EIGHT
+<UA9F9>     /xea/xa7/xb9 MYANMAR TAI LAING DIGIT NINE
+<UA9FA>     /xea/xa7/xba MYANMAR LETTER TAI LAING LLA
+<UA9FB>     /xea/xa7/xbb MYANMAR LETTER TAI LAING DA
+<UA9FC>     /xea/xa7/xbc MYANMAR LETTER TAI LAING DHA
+<UA9FD>     /xea/xa7/xbd MYANMAR LETTER TAI LAING BA
+<UA9FE>     /xea/xa7/xbe MYANMAR LETTER TAI LAING BHA
 <UAA00>     /xea/xa8/x80 CHAM LETTER A
 <UAA01>     /xea/xa8/x81 CHAM LETTER I
 <UAA02>     /xea/xa8/x82 CHAM LETTER U
@@ -14504,6 +14880,10 @@ CHARMAP
 <UAA79>     /xea/xa9/xb9 MYANMAR SYMBOL AITON TWO
 <UAA7A>     /xea/xa9/xba MYANMAR LETTER AITON RA
 <UAA7B>     /xea/xa9/xbb MYANMAR SIGN PAO KAREN TONE
+<UAA7C>     /xea/xa9/xbc MYANMAR SIGN TAI LAING TONE-2
+<UAA7D>     /xea/xa9/xbd MYANMAR SIGN TAI LAING TONE-5
+<UAA7E>     /xea/xa9/xbe MYANMAR LETTER SHWE PALAUNG CHA
+<UAA7F>     /xea/xa9/xbf MYANMAR LETTER SHWE PALAUNG SHA
 <UAA80>     /xea/xaa/x80 TAI VIET LETTER LOW KO
 <UAA81>     /xea/xaa/x81 TAI VIET LETTER HIGH KO
 <UAA82>     /xea/xaa/x82 TAI VIET LETTER LOW KHO
@@ -14576,6 +14956,29 @@ CHARMAP
 <UAADD>     /xea/xab/x9d TAI VIET SYMBOL SAM
 <UAADE>     /xea/xab/x9e TAI VIET SYMBOL HO HOI
 <UAADF>     /xea/xab/x9f TAI VIET SYMBOL KOI KOI
+<UAAE0>     /xea/xab/xa0 MEETEI MAYEK LETTER E
+<UAAE1>     /xea/xab/xa1 MEETEI MAYEK LETTER O
+<UAAE2>     /xea/xab/xa2 MEETEI MAYEK LETTER CHA
+<UAAE3>     /xea/xab/xa3 MEETEI MAYEK LETTER NYA
+<UAAE4>     /xea/xab/xa4 MEETEI MAYEK LETTER TTA
+<UAAE5>     /xea/xab/xa5 MEETEI MAYEK LETTER TTHA
+<UAAE6>     /xea/xab/xa6 MEETEI MAYEK LETTER DDA
+<UAAE7>     /xea/xab/xa7 MEETEI MAYEK LETTER DDHA
+<UAAE8>     /xea/xab/xa8 MEETEI MAYEK LETTER NNA
+<UAAE9>     /xea/xab/xa9 MEETEI MAYEK LETTER SHA
+<UAAEA>     /xea/xab/xaa MEETEI MAYEK LETTER SSA
+<UAAEB>     /xea/xab/xab MEETEI MAYEK VOWEL SIGN II
+<UAAEC>     /xea/xab/xac MEETEI MAYEK VOWEL SIGN UU
+<UAAED>     /xea/xab/xad MEETEI MAYEK VOWEL SIGN AAI
+<UAAEE>     /xea/xab/xae MEETEI MAYEK VOWEL SIGN AU
+<UAAEF>     /xea/xab/xaf MEETEI MAYEK VOWEL SIGN AAU
+<UAAF0>     /xea/xab/xb0 MEETEI MAYEK CHEIKHAN
+<UAAF1>     /xea/xab/xb1 MEETEI MAYEK AHANG KHUDAM
+<UAAF2>     /xea/xab/xb2 MEETEI MAYEK ANJI
+<UAAF3>     /xea/xab/xb3 MEETEI MAYEK SYLLABLE REPETITION MARK
+<UAAF4>     /xea/xab/xb4 MEETEI MAYEK WORD REPETITION MARK
+<UAAF5>     /xea/xab/xb5 MEETEI MAYEK VOWEL SIGN VISARGA
+<UAAF6>     /xea/xab/xb6 MEETEI MAYEK VIRAMA
 <UAB01>     /xea/xac/x81 ETHIOPIC SYLLABLE TTHU
 <UAB02>     /xea/xac/x82 ETHIOPIC SYLLABLE TTHI
 <UAB03>     /xea/xac/x83 ETHIOPIC SYLLABLE TTHAA
@@ -14608,6 +15011,56 @@ CHARMAP
 <UAB2C>     /xea/xac/xac ETHIOPIC SYLLABLE BBEE
 <UAB2D>     /xea/xac/xad ETHIOPIC SYLLABLE BBE
 <UAB2E>     /xea/xac/xae ETHIOPIC SYLLABLE BBO
+<UAB30>     /xea/xac/xb0 LATIN SMALL LETTER BARRED ALPHA
+<UAB31>     /xea/xac/xb1 LATIN SMALL LETTER A REVERSED-SCHWA
+<UAB32>     /xea/xac/xb2 LATIN SMALL LETTER BLACKLETTER E
+<UAB33>     /xea/xac/xb3 LATIN SMALL LETTER BARRED E
+<UAB34>     /xea/xac/xb4 LATIN SMALL LETTER E WITH FLOURISH
+<UAB35>     /xea/xac/xb5 LATIN SMALL LETTER LENIS F
+<UAB36>     /xea/xac/xb6 LATIN SMALL LETTER SCRIPT G WITH CROSSED-TAIL
+<UAB37>     /xea/xac/xb7 LATIN SMALL LETTER L WITH INVERTED LAZY S
+<UAB38>     /xea/xac/xb8 LATIN SMALL LETTER L WITH DOUBLE MIDDLE TILDE
+<UAB39>     /xea/xac/xb9 LATIN SMALL LETTER L WITH MIDDLE RING
+<UAB3A>     /xea/xac/xba LATIN SMALL LETTER M WITH CROSSED-TAIL
+<UAB3B>     /xea/xac/xbb LATIN SMALL LETTER N WITH CROSSED-TAIL
+<UAB3C>     /xea/xac/xbc LATIN SMALL LETTER ENG WITH CROSSED-TAIL
+<UAB3D>     /xea/xac/xbd LATIN SMALL LETTER BLACKLETTER O
+<UAB3E>     /xea/xac/xbe LATIN SMALL LETTER BLACKLETTER O WITH STROKE
+<UAB3F>     /xea/xac/xbf LATIN SMALL LETTER OPEN O WITH STROKE
+<UAB40>     /xea/xad/x80 LATIN SMALL LETTER INVERTED OE
+<UAB41>     /xea/xad/x81 LATIN SMALL LETTER TURNED OE WITH STROKE
+<UAB42>     /xea/xad/x82 LATIN SMALL LETTER TURNED OE WITH HORIZONTAL STROKE
+<UAB43>     /xea/xad/x83 LATIN SMALL LETTER TURNED O OPEN-O
+<UAB44>     /xea/xad/x84 LATIN SMALL LETTER TURNED O OPEN-O WITH STROKE
+<UAB45>     /xea/xad/x85 LATIN SMALL LETTER STIRRUP R
+<UAB46>     /xea/xad/x86 LATIN LETTER SMALL CAPITAL R WITH RIGHT LEG
+<UAB47>     /xea/xad/x87 LATIN SMALL LETTER R WITHOUT HANDLE
+<UAB48>     /xea/xad/x88 LATIN SMALL LETTER DOUBLE R
+<UAB49>     /xea/xad/x89 LATIN SMALL LETTER R WITH CROSSED-TAIL
+<UAB4A>     /xea/xad/x8a LATIN SMALL LETTER DOUBLE R WITH CROSSED-TAIL
+<UAB4B>     /xea/xad/x8b LATIN SMALL LETTER SCRIPT R
+<UAB4C>     /xea/xad/x8c LATIN SMALL LETTER SCRIPT R WITH RING
+<UAB4D>     /xea/xad/x8d LATIN SMALL LETTER BASELINE ESH
+<UAB4E>     /xea/xad/x8e LATIN SMALL LETTER U WITH SHORT RIGHT LEG
+<UAB4F>     /xea/xad/x8f LATIN SMALL LETTER U BAR WITH SHORT RIGHT LEG
+<UAB50>     /xea/xad/x90 LATIN SMALL LETTER UI
+<UAB51>     /xea/xad/x91 LATIN SMALL LETTER TURNED UI
+<UAB52>     /xea/xad/x92 LATIN SMALL LETTER U WITH LEFT HOOK
+<UAB53>     /xea/xad/x93 LATIN SMALL LETTER CHI
+<UAB54>     /xea/xad/x94 LATIN SMALL LETTER CHI WITH LOW RIGHT RING
+<UAB55>     /xea/xad/x95 LATIN SMALL LETTER CHI WITH LOW LEFT SERIF
+<UAB56>     /xea/xad/x96 LATIN SMALL LETTER X WITH LOW RIGHT RING
+<UAB57>     /xea/xad/x97 LATIN SMALL LETTER X WITH LONG LEFT LEG
+<UAB58>     /xea/xad/x98 LATIN SMALL LETTER X WITH LONG LEFT LEG AND LOW RIGHT RING
+<UAB59>     /xea/xad/x99 LATIN SMALL LETTER X WITH LONG LEFT LEG WITH SERIF
+<UAB5A>     /xea/xad/x9a LATIN SMALL LETTER Y WITH SHORT RIGHT LEG
+<UAB5B>     /xea/xad/x9b MODIFIER BREVE WITH INVERTED BREVE
+<UAB5C>     /xea/xad/x9c MODIFIER LETTER SMALL HENG
+<UAB5D>     /xea/xad/x9d MODIFIER LETTER SMALL L WITH INVERTED LAZY S
+<UAB5E>     /xea/xad/x9e MODIFIER LETTER SMALL L WITH MIDDLE TILDE
+<UAB5F>     /xea/xad/x9f MODIFIER LETTER SMALL U WITH LEFT HOOK
+<UAB64>     /xea/xad/xa4 LATIN SMALL LETTER INVERTED ALPHA
+<UAB65>     /xea/xad/xa5 GREEK LETTER SMALL CAPITAL OMEGA
 <UABC0>     /xea/xaf/x80 MEETEI MAYEK LETTER KOK
 <UABC1>     /xea/xaf/x81 MEETEI MAYEK LETTER SAM
 <UABC2>     /xea/xaf/x82 MEETEI MAYEK LETTER LAI
diff --git a/localedata/charmaps/UTF-8 b/localedata/charmaps/UTF-8
index f9fad11..55e5548 100644
--- a/localedata/charmaps/UTF-8
+++ b/localedata/charmaps/UTF-8
@@ -25908,112 +26361,112 @@ CHARMAP
 <UD7F9>     /xed/x9f/xb9 HANGUL JONGSEONG SSANGCIEUC
 <UD7FA>     /xed/x9f/xba HANGUL JONGSEONG PHIEUPH-SIOS
 <UD7FB>     /xed/x9f/xbb HANGUL JONGSEONG PHIEUPH-THIEUTH
-% <UD800>     /xed/xa0/x80 <Non Private Use High Surrogate, First>
-% <UDB7F>     /xed/xad/xbf <Non Private Use High Surrogate, Last>
-% <UDB80>     /xed/xae/x80 <Private Use High Surrogate, First>
-% <UDBFF>     /xed/xaf/xbf <Private Use High Surrogate, Last>
-% <UDC00>     /xed/xb0/x80 <Low Surrogate, First>
-% <UDFFF>     /xed/xbf/xbf <Low Surrogate, Last>
-<UE000>..<UE03F> /xee/x80/x80 <Private Use>
-<UE040>..<UE07F> /xee/x81/x80 <Private Use>
-<UE080>..<UE0BF> /xee/x82/x80 <Private Use>
-<UE0C0>..<UE0FF> /xee/x83/x80 <Private Use>
-<UE100>..<UE13F> /xee/x84/x80 <Private Use>
-<UE140>..<UE17F> /xee/x85/x80 <Private Use>
-<UE180>..<UE1BF> /xee/x86/x80 <Private Use>
-<UE1C0>..<UE1FF> /xee/x87/x80 <Private Use>
-<UE200>..<UE23F> /xee/x88/x80 <Private Use>
-<UE240>..<UE27F> /xee/x89/x80 <Private Use>
-<UE280>..<UE2BF> /xee/x8a/x80 <Private Use>
-<UE2C0>..<UE2FF> /xee/x8b/x80 <Private Use>
-<UE300>..<UE33F> /xee/x8c/x80 <Private Use>
-<UE340>..<UE37F> /xee/x8d/x80 <Private Use>
-<UE380>..<UE3BF> /xee/x8e/x80 <Private Use>
-<UE3C0>..<UE3FF> /xee/x8f/x80 <Private Use>
-<UE400>..<UE43F> /xee/x90/x80 <Private Use>
-<UE440>..<UE47F> /xee/x91/x80 <Private Use>
-<UE480>..<UE4BF> /xee/x92/x80 <Private Use>
-<UE4C0>..<UE4FF> /xee/x93/x80 <Private Use>
-<UE500>..<UE53F> /xee/x94/x80 <Private Use>
-<UE540>..<UE57F> /xee/x95/x80 <Private Use>
-<UE580>..<UE5BF> /xee/x96/x80 <Private Use>
-<UE5C0>..<UE5FF> /xee/x97/x80 <Private Use>
-<UE600>..<UE63F> /xee/x98/x80 <Private Use>
-<UE640>..<UE67F> /xee/x99/x80 <Private Use>
-<UE680>..<UE6BF> /xee/x9a/x80 <Private Use>
-<UE6C0>..<UE6FF> /xee/x9b/x80 <Private Use>
-<UE700>..<UE73F> /xee/x9c/x80 <Private Use>
-<UE740>..<UE77F> /xee/x9d/x80 <Private Use>
-<UE780>..<UE7BF> /xee/x9e/x80 <Private Use>
-<UE7C0>..<UE7FF> /xee/x9f/x80 <Private Use>
-<UE800>..<UE83F> /xee/xa0/x80 <Private Use>
-<UE840>..<UE87F> /xee/xa1/x80 <Private Use>
-<UE880>..<UE8BF> /xee/xa2/x80 <Private Use>
-<UE8C0>..<UE8FF> /xee/xa3/x80 <Private Use>
-<UE900>..<UE93F> /xee/xa4/x80 <Private Use>
-<UE940>..<UE97F> /xee/xa5/x80 <Private Use>
-<UE980>..<UE9BF> /xee/xa6/x80 <Private Use>
-<UE9C0>..<UE9FF> /xee/xa7/x80 <Private Use>
-<UEA00>..<UEA3F> /xee/xa8/x80 <Private Use>
-<UEA40>..<UEA7F> /xee/xa9/x80 <Private Use>
-<UEA80>..<UEABF> /xee/xaa/x80 <Private Use>
-<UEAC0>..<UEAFF> /xee/xab/x80 <Private Use>
-<UEB00>..<UEB3F> /xee/xac/x80 <Private Use>
-<UEB40>..<UEB7F> /xee/xad/x80 <Private Use>
-<UEB80>..<UEBBF> /xee/xae/x80 <Private Use>
-<UEBC0>..<UEBFF> /xee/xaf/x80 <Private Use>
-<UEC00>..<UEC3F> /xee/xb0/x80 <Private Use>
-<UEC40>..<UEC7F> /xee/xb1/x80 <Private Use>
-<UEC80>..<UECBF> /xee/xb2/x80 <Private Use>
-<UECC0>..<UECFF> /xee/xb3/x80 <Private Use>
-<UED00>..<UED3F> /xee/xb4/x80 <Private Use>
-<UED40>..<UED7F> /xee/xb5/x80 <Private Use>
-<UED80>..<UEDBF> /xee/xb6/x80 <Private Use>
-<UEDC0>..<UEDFF> /xee/xb7/x80 <Private Use>
-<UEE00>..<UEE3F> /xee/xb8/x80 <Private Use>
-<UEE40>..<UEE7F> /xee/xb9/x80 <Private Use>
-<UEE80>..<UEEBF> /xee/xba/x80 <Private Use>
-<UEEC0>..<UEEFF> /xee/xbb/x80 <Private Use>
-<UEF00>..<UEF3F> /xee/xbc/x80 <Private Use>
-<UEF40>..<UEF7F> /xee/xbd/x80 <Private Use>
-<UEF80>..<UEFBF> /xee/xbe/x80 <Private Use>
-<UEFC0>..<UEFFF> /xee/xbf/x80 <Private Use>
-<UF000>..<UF03F> /xef/x80/x80 <Private Use>
-<UF040>..<UF07F> /xef/x81/x80 <Private Use>
-<UF080>..<UF0BF> /xef/x82/x80 <Private Use>
-<UF0C0>..<UF0FF> /xef/x83/x80 <Private Use>
-<UF100>..<UF13F> /xef/x84/x80 <Private Use>
-<UF140>..<UF17F> /xef/x85/x80 <Private Use>
-<UF180>..<UF1BF> /xef/x86/x80 <Private Use>
-<UF1C0>..<UF1FF> /xef/x87/x80 <Private Use>
-<UF200>..<UF23F> /xef/x88/x80 <Private Use>
-<UF240>..<UF27F> /xef/x89/x80 <Private Use>
-<UF280>..<UF2BF> /xef/x8a/x80 <Private Use>
-<UF2C0>..<UF2FF> /xef/x8b/x80 <Private Use>
-<UF300>..<UF33F> /xef/x8c/x80 <Private Use>
-<UF340>..<UF37F> /xef/x8d/x80 <Private Use>
-<UF380>..<UF3BF> /xef/x8e/x80 <Private Use>
-<UF3C0>..<UF3FF> /xef/x8f/x80 <Private Use>
-<UF400>..<UF43F> /xef/x90/x80 <Private Use>
-<UF440>..<UF47F> /xef/x91/x80 <Private Use>
-<UF480>..<UF4BF> /xef/x92/x80 <Private Use>
-<UF4C0>..<UF4FF> /xef/x93/x80 <Private Use>
-<UF500>..<UF53F> /xef/x94/x80 <Private Use>
-<UF540>..<UF57F> /xef/x95/x80 <Private Use>
-<UF580>..<UF5BF> /xef/x96/x80 <Private Use>
-<UF5C0>..<UF5FF> /xef/x97/x80 <Private Use>
-<UF600>..<UF63F> /xef/x98/x80 <Private Use>
-<UF640>..<UF67F> /xef/x99/x80 <Private Use>
-<UF680>..<UF6BF> /xef/x9a/x80 <Private Use>
-<UF6C0>..<UF6FF> /xef/x9b/x80 <Private Use>
-<UF700>..<UF73F> /xef/x9c/x80 <Private Use>
-<UF740>..<UF77F> /xef/x9d/x80 <Private Use>
-<UF780>..<UF7BF> /xef/x9e/x80 <Private Use>
-<UF7C0>..<UF7FF> /xef/x9f/x80 <Private Use>
-<UF800>..<UF83F> /xef/xa0/x80 <Private Use>
-<UF840>..<UF87F> /xef/xa1/x80 <Private Use>
-<UF880>..<UF8BF> /xef/xa2/x80 <Private Use>
-<UF8C0>..<UF8FF> /xef/xa3/x80 <Private Use>
+%<UD800>     /xed/xa0/x80 <Non Private Use High Surrogate, First>
+%<UDB7F>     /xed/xad/xbf <Non Private Use High Surrogate, Last>
+%<UDB80>     /xed/xae/x80 <Private Use High Surrogate, First>
+%<UDBFF>     /xed/xaf/xbf <Private Use High Surrogate, Last>
+%<UDC00>     /xed/xb0/x80 <Low Surrogate, First>
+%<UDFFF>     /xed/xbf/xbf <Low Surrogate, Last>
+<UE000>..<UE03F>     /xee/x80/x80 <Private Use>
+<UE040>..<UE07F>     /xee/x81/x80 <Private Use>
+<UE080>..<UE0BF>     /xee/x82/x80 <Private Use>
+<UE0C0>..<UE0FF>     /xee/x83/x80 <Private Use>
+<UE100>..<UE13F>     /xee/x84/x80 <Private Use>
+<UE140>..<UE17F>     /xee/x85/x80 <Private Use>
+<UE180>..<UE1BF>     /xee/x86/x80 <Private Use>
+<UE1C0>..<UE1FF>     /xee/x87/x80 <Private Use>
+<UE200>..<UE23F>     /xee/x88/x80 <Private Use>
+<UE240>..<UE27F>     /xee/x89/x80 <Private Use>
+<UE280>..<UE2BF>     /xee/x8a/x80 <Private Use>
+<UE2C0>..<UE2FF>     /xee/x8b/x80 <Private Use>
+<UE300>..<UE33F>     /xee/x8c/x80 <Private Use>
+<UE340>..<UE37F>     /xee/x8d/x80 <Private Use>
+<UE380>..<UE3BF>     /xee/x8e/x80 <Private Use>
+<UE3C0>..<UE3FF>     /xee/x8f/x80 <Private Use>
+<UE400>..<UE43F>     /xee/x90/x80 <Private Use>
+<UE440>..<UE47F>     /xee/x91/x80 <Private Use>
+<UE480>..<UE4BF>     /xee/x92/x80 <Private Use>
+<UE4C0>..<UE4FF>     /xee/x93/x80 <Private Use>
+<UE500>..<UE53F>     /xee/x94/x80 <Private Use>
+<UE540>..<UE57F>     /xee/x95/x80 <Private Use>
+<UE580>..<UE5BF>     /xee/x96/x80 <Private Use>
+<UE5C0>..<UE5FF>     /xee/x97/x80 <Private Use>
+<UE600>..<UE63F>     /xee/x98/x80 <Private Use>
+<UE640>..<UE67F>     /xee/x99/x80 <Private Use>
+<UE680>..<UE6BF>     /xee/x9a/x80 <Private Use>
+<UE6C0>..<UE6FF>     /xee/x9b/x80 <Private Use>
+<UE700>..<UE73F>     /xee/x9c/x80 <Private Use>
+<UE740>..<UE77F>     /xee/x9d/x80 <Private Use>
+<UE780>..<UE7BF>     /xee/x9e/x80 <Private Use>
+<UE7C0>..<UE7FF>     /xee/x9f/x80 <Private Use>
+<UE800>..<UE83F>     /xee/xa0/x80 <Private Use>
+<UE840>..<UE87F>     /xee/xa1/x80 <Private Use>
+<UE880>..<UE8BF>     /xee/xa2/x80 <Private Use>
+<UE8C0>..<UE8FF>     /xee/xa3/x80 <Private Use>
+<UE900>..<UE93F>     /xee/xa4/x80 <Private Use>
+<UE940>..<UE97F>     /xee/xa5/x80 <Private Use>
+<UE980>..<UE9BF>     /xee/xa6/x80 <Private Use>
+<UE9C0>..<UE9FF>     /xee/xa7/x80 <Private Use>
+<UEA00>..<UEA3F>     /xee/xa8/x80 <Private Use>
+<UEA40>..<UEA7F>     /xee/xa9/x80 <Private Use>
+<UEA80>..<UEABF>     /xee/xaa/x80 <Private Use>
+<UEAC0>..<UEAFF>     /xee/xab/x80 <Private Use>
+<UEB00>..<UEB3F>     /xee/xac/x80 <Private Use>
+<UEB40>..<UEB7F>     /xee/xad/x80 <Private Use>
+<UEB80>..<UEBBF>     /xee/xae/x80 <Private Use>
+<UEBC0>..<UEBFF>     /xee/xaf/x80 <Private Use>
+<UEC00>..<UEC3F>     /xee/xb0/x80 <Private Use>
+<UEC40>..<UEC7F>     /xee/xb1/x80 <Private Use>
+<UEC80>..<UECBF>     /xee/xb2/x80 <Private Use>
+<UECC0>..<UECFF>     /xee/xb3/x80 <Private Use>
+<UED00>..<UED3F>     /xee/xb4/x80 <Private Use>
+<UED40>..<UED7F>     /xee/xb5/x80 <Private Use>
+<UED80>..<UEDBF>     /xee/xb6/x80 <Private Use>
+<UEDC0>..<UEDFF>     /xee/xb7/x80 <Private Use>
+<UEE00>..<UEE3F>     /xee/xb8/x80 <Private Use>
+<UEE40>..<UEE7F>     /xee/xb9/x80 <Private Use>
+<UEE80>..<UEEBF>     /xee/xba/x80 <Private Use>
+<UEEC0>..<UEEFF>     /xee/xbb/x80 <Private Use>
+<UEF00>..<UEF3F>     /xee/xbc/x80 <Private Use>
+<UEF40>..<UEF7F>     /xee/xbd/x80 <Private Use>
+<UEF80>..<UEFBF>     /xee/xbe/x80 <Private Use>
+<UEFC0>..<UEFFF>     /xee/xbf/x80 <Private Use>
+<UF000>..<UF03F>     /xef/x80/x80 <Private Use>
+<UF040>..<UF07F>     /xef/x81/x80 <Private Use>
+<UF080>..<UF0BF>     /xef/x82/x80 <Private Use>
+<UF0C0>..<UF0FF>     /xef/x83/x80 <Private Use>
+<UF100>..<UF13F>     /xef/x84/x80 <Private Use>
+<UF140>..<UF17F>     /xef/x85/x80 <Private Use>
+<UF180>..<UF1BF>     /xef/x86/x80 <Private Use>
+<UF1C0>..<UF1FF>     /xef/x87/x80 <Private Use>
+<UF200>..<UF23F>     /xef/x88/x80 <Private Use>
+<UF240>..<UF27F>     /xef/x89/x80 <Private Use>
+<UF280>..<UF2BF>     /xef/x8a/x80 <Private Use>
+<UF2C0>..<UF2FF>     /xef/x8b/x80 <Private Use>
+<UF300>..<UF33F>     /xef/x8c/x80 <Private Use>
+<UF340>..<UF37F>     /xef/x8d/x80 <Private Use>
+<UF380>..<UF3BF>     /xef/x8e/x80 <Private Use>
+<UF3C0>..<UF3FF>     /xef/x8f/x80 <Private Use>
+<UF400>..<UF43F>     /xef/x90/x80 <Private Use>
+<UF440>..<UF47F>     /xef/x91/x80 <Private Use>
+<UF480>..<UF4BF>     /xef/x92/x80 <Private Use>
+<UF4C0>..<UF4FF>     /xef/x93/x80 <Private Use>
+<UF500>..<UF53F>     /xef/x94/x80 <Private Use>
+<UF540>..<UF57F>     /xef/x95/x80 <Private Use>
+<UF580>..<UF5BF>     /xef/x96/x80 <Private Use>
+<UF5C0>..<UF5FF>     /xef/x97/x80 <Private Use>
+<UF600>..<UF63F>     /xef/x98/x80 <Private Use>
+<UF640>..<UF67F>     /xef/x99/x80 <Private Use>
+<UF680>..<UF6BF>     /xef/x9a/x80 <Private Use>
+<UF6C0>..<UF6FF>     /xef/x9b/x80 <Private Use>
+<UF700>..<UF73F>     /xef/x9c/x80 <Private Use>
+<UF740>..<UF77F>     /xef/x9d/x80 <Private Use>
+<UF780>..<UF7BF>     /xef/x9e/x80 <Private Use>
+<UF7C0>..<UF7FF>     /xef/x9f/x80 <Private Use>
+<UF800>..<UF83F>     /xef/xa0/x80 <Private Use>
+<UF840>..<UF87F>     /xef/xa1/x80 <Private Use>
+<UF880>..<UF8BF>     /xef/xa2/x80 <Private Use>
+<UF8C0>..<UF8FF>     /xef/xa3/x80 <Private Use>
 <UF900>     /xef/xa4/x80 CJK COMPATIBILITY IDEOGRAPH-F900
 <UF901>     /xef/xa4/x81 CJK COMPATIBILITY IDEOGRAPH-F901
 <UF902>     /xef/xa4/x82 CJK COMPATIBILITY IDEOGRAPH-F902
@@ -26316,6 +26769,8 @@ CHARMAP
 <UFA2B>     /xef/xa8/xab CJK COMPATIBILITY IDEOGRAPH-FA2B
 <UFA2C>     /xef/xa8/xac CJK COMPATIBILITY IDEOGRAPH-FA2C
 <UFA2D>     /xef/xa8/xad CJK COMPATIBILITY IDEOGRAPH-FA2D
+<UFA2E>     /xef/xa8/xae CJK COMPATIBILITY IDEOGRAPH-FA2E
+<UFA2F>     /xef/xa8/xaf CJK COMPATIBILITY IDEOGRAPH-FA2F
 <UFA30>     /xef/xa8/xb0 CJK COMPATIBILITY IDEOGRAPH-FA30
 <UFA31>     /xef/xa8/xb1 CJK COMPATIBILITY IDEOGRAPH-FA31
 <UFA32>     /xef/xa8/xb2 CJK COMPATIBILITY IDEOGRAPH-FA32
@@ -27186,6 +27641,13 @@ CHARMAP
 <UFE24>     /xef/xb8/xa4 COMBINING MACRON LEFT HALF
 <UFE25>     /xef/xb8/xa5 COMBINING MACRON RIGHT HALF
 <UFE26>     /xef/xb8/xa6 COMBINING CONJOINING MACRON
+<UFE27>     /xef/xb8/xa7 COMBINING LIGATURE LEFT HALF BELOW
+<UFE28>     /xef/xb8/xa8 COMBINING LIGATURE RIGHT HALF BELOW
+<UFE29>     /xef/xb8/xa9 COMBINING TILDE LEFT HALF BELOW
+<UFE2A>     /xef/xb8/xaa COMBINING TILDE RIGHT HALF BELOW
+<UFE2B>     /xef/xb8/xab COMBINING MACRON LEFT HALF BELOW
+<UFE2C>     /xef/xb8/xac COMBINING MACRON RIGHT HALF BELOW
+<UFE2D>     /xef/xb8/xad COMBINING CONJOINING MACRON BELOW
 <UFE30>     /xef/xb8/xb0 PRESENTATION FORM FOR VERTICAL TWO DOT LEADER
 <UFE31>     /xef/xb8/xb1 PRESENTATION FORM FOR VERTICAL EM DASH
 <UFE32>     /xef/xb8/xb2 PRESENTATION FORM FOR VERTICAL EN DASH
